Bug 106351 - Freezes with plasmashell and steam client
Summary: Freezes with plasmashell and steam client
Status: NEW
Alias: None
Product: Mesa
Classification: Unclassified
Component: Mesa core (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: mesa-dev
QA Contact: mesa-dev
URL:
Whiteboard:
Keywords:
: 106372 106502 (view as bug list)
Depends on:
Blocks:
 
Reported: 2018-05-02 11:34 UTC by Mike Lothian
Modified: 2018-05-16 06:57 UTC (History)
6 users (show)

See Also:
i915 platform:
i915 features:


Attachments
Dmesg after freeze (106.07 KB, text/plain)
2018-05-03 14:45 UTC, Mike Lothian
Details
Xorg.0.log after plasmashell freeze (38.18 KB, text/plain)
2018-05-03 14:46 UTC, Mike Lothian
Details
Journalctl after plasmashell freeze, kill & restart (298.22 KB, text/plain)
2018-05-03 14:47 UTC, Mike Lothian
Details
Steam console output after freeze (91.11 KB, text/plain)
2018-05-03 14:52 UTC, Mike Lothian
Details
xdpyinfo (25.24 KB, text/plain)
2018-05-03 15:09 UTC, Mike Lothian
Details
journalctl Plasma Won't Start (361.04 KB, text/plain)
2018-05-03 15:11 UTC, Mike Lothian
Details
attachment-21682-0.html (2.03 KB, text/html)
2018-05-11 09:03 UTC, Mike Lothian
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Lothian 2018-05-02 11:34:53 UTC
Since at least xorg-server 1.19.5 and continuing with xorg-server 1.20-rc's plamashell and the native steam client have freezes

The plamsashell freeze can be reproduced by bringing up the kicker menu a few times, or navigating the Status & Notifications system tray

The steam freeze can be reproduced by bringing up the friends menu then starting a chat

This doesn't happen with the intel or amdgpu ddx's
Comment 1 Mike Lothian 2018-05-03 14:45:25 UTC
Created attachment 139307 [details]
Dmesg after freeze
Comment 2 Mike Lothian 2018-05-03 14:46:12 UTC
Created attachment 139308 [details]
Xorg.0.log after plasmashell freeze
Comment 3 Mike Lothian 2018-05-03 14:47:30 UTC
Created attachment 139309 [details]
Journalctl after plasmashell freeze, kill & restart
Comment 4 Mike Lothian 2018-05-03 14:52:10 UTC
Created attachment 139310 [details]
Steam console output after freeze
Comment 5 Mike Lothian 2018-05-03 14:53:32 UTC
With the steam freeze I notice it's just after the references to Refresh rate
Comment 6 Mike Lothian 2018-05-03 15:09:39 UTC
Created attachment 139312 [details]
xdpyinfo
Comment 7 Mike Lothian 2018-05-03 15:11:11 UTC
Created attachment 139313 [details]
journalctl Plasma Won't Start

After the last freeze I tried restarting X with both intel and modesetting ddx's (systemctl restart sddm) however Plasma wouldn't start

Restarting dbus fixed the issue
Comment 8 Michel Dänzer 2018-05-11 08:09:07 UTC
Does https://patchwork.freedesktop.org/patch/221465/ fix this?
Comment 9 Mike Lothian 2018-05-11 08:21:13 UTC
It certainly helped but Ajax submitted this one too

https://patchwork.freedesktop.org/patch/221566/
Comment 10 Michel Dänzer 2018-05-11 09:01:24 UTC
(In reply to Mike Lothian from comment #9)
> It certainly helped

Just helped, or completely fixed the freezes?


> but Ajax submitted this one too
> 
> https://patchwork.freedesktop.org/patch/221566/

As you can see, I'm involved there. :) I'm afraid it's too heavy-handed.
Comment 11 Mike Lothian 2018-05-11 09:03:15 UTC
Created attachment 139491 [details]
attachment-21682-0.html

I'm afraid I don't have access to my machine until Tuesday night now

On Fri, 11 May 2018, 10:01 , <bugzilla-daemon@freedesktop.org> wrote:

> *Comment # 10 <https://bugs.freedesktop.org/show_bug.cgi?id=106351#c10> on
> bug 106351 <https://bugs.freedesktop.org/show_bug.cgi?id=106351> from
> Michel Dänzer <michel@daenzer.net> *
>
> (In reply to Mike Lothian from comment #9 <https://bugs.freedesktop.org/show_bug.cgi?id=106351#c9>)> It certainly helped
>
> Just helped, or completely fixed the freezes?
>
> > but Ajax submitted this one too
> >
> > https://patchwork.freedesktop.org/patch/221566/
>
> As you can see, I'm involved there. :) I'm afraid it's too heavy-handed.
>
> ------------------------------
> You are receiving this mail because:
>
>    - You reported the bug.
>    - You are on the CC list for the bug.
>
>
Comment 12 raneon 2018-05-13 11:23:26 UTC
I'm affected by this bug as well since the upgrade to X.org 1.20. Plasma on X11 freezes from time to time and the Steam client on X11 sometimes as well. This happens only on my AMD GPU's with the Mesa modesetting driver. Plasma-Wayland itself is stable, but the Steam Client freezes quite fast on XWayland when hovering over the menu's like STORE LIBRARY COMMUNITY...
Comment 13 Michel Dänzer 2018-05-14 09:25:25 UTC
(In reply to raneon from comment #12)
> I'm affected by this bug as well [...]

Please try this Mesa patch: https://patchwork.freedesktop.org/patch/221465/
Comment 14 Michel Dänzer 2018-05-15 07:31:56 UTC
*** Bug 106502 has been marked as a duplicate of this bug. ***
Comment 15 Mike Lothian 2018-05-15 16:28:38 UTC
I've not seen the freezes with that patch so far

Feel free to add my tested by

Tested-by: Mike Lothian <mike@fireburn.co.uk>
Comment 16 Michel Dänzer 2018-05-16 06:57:45 UTC
*** Bug 106372 has been marked as a duplicate of this bug. ***


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.